/*-------------------------------------------------------------------------------*/
  /*
    AdfChipFpga.h
    Class CAdfChipFpga
    11-Nov-04
  */
#ifndef __AdfChipFpga__
#define __AdfChipFpga__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/AdfRegBase.h"
#include "L1Cal_IIb_TCC/AdfChipBase.h"

class CAdfCardBase ;           // forward declaration 

/*-------------------------------------------------------------------------------*/

class CAdfChipFpga : public CAdfChipBase
{
/////////////////////////////
// Constructor/Destructor
public:

	         CAdfChipFpga();

             CAdfChipFpga   ( CAdfCardBase*      _poMotherCard,
                              unsigned char   _ubChipAddress );

            ~CAdfChipFpga();

/////////////////////////////
// Attributes
public:


protected:
 
/////////////////////////////
// Operations
public:

    ESuccess Initialize             ( ) ;

static unsigned long ChannelAddrOffset ( unsigned long ulRelEta, 
                                         unsigned long ulRelPhi ) ;

protected:

};

// These are offsets of specific registers in the Fpga
// these offsets are from the Fpga base address 

#define KiRegAddrEmChannelCsrBase               0x000600/2
#define KiRegAddrHdChannelCsrBase               0x000700/2

#define KiRegAddrChannelIncrement               0x004000/2

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#endif // __AdfChipFpga__
