/*-------------------------------------------------------------------------------*/
  /*
    AdfRegOutputEt.h
    Class AdfRegOutputEt
    13-Nov-2005
  */
#ifndef __AdfRegOutputEt__
#define __AdfRegOutputEt__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/AdfRegBase.h"

class CAdfChipBase ;     // forward declaration
class CAdfChipFpga_T7 ;  // forward declaration

/*-------------------------------------------------------------------------------*/

class CAdfRegOutputEt : public CAdfRegBase
{

/////////////////////////////
// Constructor/Destructor
public:

             CAdfRegOutputEt      ( CAdfChipFpga_T7*    _poMotherFpga,
                                    unsigned short      _uwBaseRegAddress ) ;

            ~CAdfRegOutputEt();

/////////////////////////////
// Attributes
public:

protected:

    CAdfRegBase*                m_poScratchReg ;

    CAdfChipFpga_T7*            m_poMotherFpga ;

/////////////////////////////
// Operations
public:

    ESuccess SetSimuOutputEt    ( ETT_Chan_Type           _eTTType,
                                  const unsigned char     _ubSimuOutputEt,
                                  const unsigned long     _ulTickNum ) ;

    ESuccess ReadMonitOutputEt  ( unsigned char*          _pubMonitOutputEtEm,
                                  unsigned char*          _pubMonitOutputEtHd,
                                  const unsigned long     _ulTickNum ) ;

protected:

};

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#endif // __AdfRegOutputEt__
