/*-------------------------------------------------------------------------------*/
  /*
    AdfRegRawAdc.h
    Class AdfRegRawAdc
    13-Nov-2005
  */
#ifndef __AdfRegRawAdc__
#define __AdfRegRawAdc__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/AdfRegBase.h"

class CAdfChipBase ;     // forward declaration
class CAdfChipFpga_T7 ;  // forward declaration

/*-------------------------------------------------------------------------------*/

class CAdfRegRawAdc : public CAdfRegBase
{

/////////////////////////////
// Constructor/Destructor
public:

             CAdfRegRawAdc        ( CAdfChipFpga_T7*    _poMotherFpga,
                                    unsigned short      _uwBaseRegAddress ) ;

            ~CAdfRegRawAdc();

/////////////////////////////
// Attributes
public:

protected:

    CAdfRegBase*                m_poScratchReg ;

    CAdfChipFpga_T7*            m_poMotherFpga ;

/////////////////////////////
// Operations
public:

    ESuccess SetSimuRawAdc          ( const unsigned short    _uwSimuRawAdc,
                                      const unsigned long     _ulTickNum,
                                      const unsigned long     _ulSubTickNum ) ;

    ESuccess ReadMonitRawAdc        ( unsigned short*         _puwMonitRawAdc,
                                      const unsigned long     _ulTickNum,
                                      const unsigned long     _ulSubTickNum ) ;

protected:

};

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#endif // __AdfRegRawAdc__
