/*-------------------------------------------------------------------------------*/
  /*
    CommandFileTrigTwrInfo.h
    10-Oct-2005
  */
/*-------------------------------------------------------------------------------*/

struct Custom_Structure_TT_Info
{
    unsigned int     uiTotAlignmentDelay ;
    unsigned int     uiTotPedDacValue ;
    unsigned int     uiTotLookupSlope ;
    unsigned int     uiTotRawAdc_Simu ;
    unsigned int     uiTotAdfOut_Simu ;
    unsigned int     uiTotAdfOut_Const ;
    unsigned int     uiTotRawAdc_Thresh ;
    unsigned int     uiTotRawAdc_MuxMode ;
    unsigned int     uiTotRawAdc_MemMode ;
    unsigned int     uiTotAdfOut_MuxMode ;
    unsigned int     uiTotAdfOut_MemMode ;

} ;

ESuccess CommandFileTrigTwrInfo   ( CString	                        _osCommand_File_Name,
                                    Custom_Structure_TT_Info*       _pxCustom,
                                    void*                           _pDlgThis = NULL ) ;


// declare the action routines
fKeyword_Action     TT_Info_Action_Parse_TT_Channel ;
fKeyword_Action     TT_Info_Action_Parse_TT_Eta_Sign ;
fKeyword_Action     TT_Info_Action_Parse_TT_Eta_Magn ;
fKeyword_Action     TT_Info_Action_Parse_TT_Phi ;
fKeyword_Action     TT_Info_Action_Parse_To_TT_Eta_Sign ;
fKeyword_Action     TT_Info_Action_Parse_To_TT_Eta_Magn ;
fKeyword_Action     TT_Info_Action_Parse_To_TT_Phi ;
fKeyword_Action     TT_Info_Action_Parse_Alignment_Delay ;
fKeyword_Action     TT_Info_Action_Parse_Tick ; 
fKeyword_Action     TT_Info_Action_Parse_To_Tick ; 
fKeyword_Action     TT_Info_Action_Parse_SubTick ; 
fKeyword_Action     TT_Info_Action_Parse_To_SubTick ; 

fKeyword_Action     TT_Info_Action_Parse_Pedestal_DAC ;
fKeyword_Action     TT_Info_Action_Parse_Ped_Average ;
fKeyword_Action     TT_Info_Action_Parse_Ped_Deviation ;

fKeyword_Action     TT_Info_Action_Parse_Zero_Energy_Adc_E ;
fKeyword_Action     TT_Info_Action_Parse_Zero_Energy_Output_Et ;
fKeyword_Action     TT_Info_Action_Parse_Lookup_Slope ;

fKeyword_Action     TT_Info_Action_Parse_RawAdc_Simu ;
fKeyword_Action     TT_Info_Action_Parse_AdfOut_Simu ;
fKeyword_Action     TT_Info_Action_Parse_AdfOut_Const ;
fKeyword_Action     TT_Info_Action_Parse_RawAdc_Thresh ;

fKeyword_Action     TT_Info_Action_Parse_RawAdc_MuxMode ;
fKeyword_Action     TT_Info_Action_Parse_RawAdc_MemMode ;
fKeyword_Action     TT_Info_Action_Parse_AdfOut_MuxMode ;
fKeyword_Action     TT_Info_Action_Parse_AdfOut_MemMode ;



