/*-------------------------------------------------------------------------------*/
  /*
     GuiCommandKeywords.h
     2-Nov-04
  */
/*-------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
// Gui Command Keywords

#define     KsGuiCmd_Cfg_ConfigFpga     "Cfg_ConfigFPGA"

#define     KsGuiCmd_Vio_ReadReg        "Vio_ReadReg"
#define     KsGuiCmd_Vio_WriteReg       "Vio_WriteReg"

#define     KsGuiCmd_Rio_ReadReg        "Rio_ReadReg"
#define     KsGuiCmd_Rio_WriteReg       "Rio_WriteReg"

#define     KsGuiCmd_Sio_ReadReg        "Sio_ReadReg"
#define     KsGuiCmd_Sio_WriteReg       "Sio_WriteReg"
#define     KsGuiCmd_Sio_VmeSclStatus   "Sio_VmeSclStatus"

#define     KsGuiCmd_Mio_MultiRead      "Mio_MultiRead"  

#define     KsGuiCmd_Hst_10BitHisto     "Hst_10BitHisto"  

#define     KsGuiCmd_Rrt_ClearAll       "Rrt_ClearAll"
#define     KsGuiCmd_Rrt_AddRange       "Rrt_AddRange"
#define     KsGuiCmd_Rrt_StartTest      "Rrt_StartTest"

#define     KsGuiCmd_Dac_ProgOneDac     "Dac_ProgOneDac"
#define     KsGuiCmd_Dac_Find_DAC       "Dac_Find_Dac"  

#define     KsGuiCmd_Adc_Capture        "Adc_Capture"  

#define     KsGuiCmd_Adf_InitCard       "Adf_InitCard"  
#define     KsGuiCmd_Adf_SendPrn        "Adf_SendPrn"  
#define     KsGuiCmd_Adf_SendBls        "Adf_SendBls"  

#define     KsGuiCmd_Roc_AnalyzeEvt     "Roc_AnalyzeEvt"  
#define     KsGuiCmd_Roc_DumpEvt        "Roc_DumpEvt"  

#define     KsGuiCmd_Tcf_ConfigTabGab   "Tcf_ConfigTabGab"

#define     KsGuiCmd_Com_ParseFile      "Com_ParseFile"
#define     KsGuiCmd_Com_File_Legacy    "Command_File"

#define     KsGuiCmd_Daq_Run_Control    "Daq_RunControl"


// XML Command Tags

#define     KsGuiXml_Command            "COMMAND"
#define     KsGuiXml_Name               "NAME"

#define     KsGuiXml_Comment            "COMMENT"
#define     KsGuiXml_Text               "TEXT"

#define     KsGuiXml_Adf                "ADF"
#define     KsGuiXml_Master             "MASTER"
#define     KsGuiXml_Slave              "SLAVE"
#define     KsGuiXml_Slot               "SLOT"

#define     KsGuiXml_Tab                "TAB"
#define     KsGuiXml_Module             "MODULE"
#define     KsGuiXml_Stratix            "STRATIX"

#define     KsGuiXml_Group              "GROUP"
#define     KsGuiXml_Ser_Addr           "SER_ADDR"
#define     KsGuiXml_Ser_Data           "SER_DATA"

#define     KsGuiXml_Fpga               "FPGA"
#define     KsGuiXml_Mask               "MASK"

#define     KsGuiXml_Chip               "CHIP"
#define     KsGuiXml_Num                "NUM"

#define     KsGuiXml_Reg                "REG"
#define     KsGuiXml_Addr               "ADDR"
#define     KsGuiXml_AddrCnt            "ADDR_COUNT"
#define     KsGuiXml_Samples            "SAMPLES"
#define     KsGuiXml_AddrIncr           "ADDR_INCR"
#define     KsGuiXml_DumpToFile         "DUMPTOFILE"
#define     KsGuiXml_AddrSpace          "ADDR_SPACE"
#define     KsGuiXml_DataSize           "DATA_SIZE"
#define     KsGuiXml_AcccessPriv        "ACCESS_PRIV"
#define     KsGuiXml_AccessType         "ACCESS_TYPE"
#define     KsGuiXml_IOMethod           "IO_METHOD"

#define     KsGuiXml_Data               "DATA"
#define     KsGuiXml_Out                "OUT"
#define     KsGuiXml_In                 "IN"
#define     KsGuiXml_Average            "AVERAGE"
#define     KsGuiXml_Deviation          "DEVIATION"
#define     KsGuiXml_Ratio              "RATIO"
#define     KsGuiXml_LongCnt            "LONG_COUNT"
#define     KsGuiXml_RepeatCnt          "REPEAT_COUNT"

#define     KsGuiXml_File               "FILE"
//#define     KsGuiXml_Name               "NAME"
#define     KsGuiXml_Directory          "DIRECTORY"
#define     KsGuiXml_Version            "VERSION"

#define     KsGuiXml_Test               "TEST"
#define     KsGuiXml_Loop               "LOOP"
#define     KsGuiXml_Exponent           "EXPONENT"
#define     KsGuiXml_OnErrorStop        "ONERROR_STOP"
#define     KsGuiXml_OnErrorVerifyAll   "ONERROR_VERIFYALL"

#define     KsGuiXml_TrgTwr             "TRGTWR"
#define     KsGuiXml_Type               "TYPE"
#define     KsGuiXml_Rel_Eta            "REL_ETA"
#define     KsGuiXml_Rel_Phi            "REL_PHI"
#define     KsGuiXml_Eta_Sign           "ETA_SIGN"
#define     KsGuiXml_Eta_Magn           "ETA_MAGN"
#define     KsGuiXml_Phi                "PHI"

#define     KsGuiXml_Dac                "DAC"
#define     KsGuiXml_Value              "VALUE"

#define     KsGuiXml_Adc                "ADC"
//#define     KsGuiXml_Value              "VALUE"
//#define     KsGuiXml_DumpToFile         "DUMPTOFILE"

// reply keyword
#define     KsGuiXml_Reply              "REPLY"
//#define     KsGuiXml_Name               "NAME"

#define     KsGuiXml_Trigger            "TRIGGER"
#define     KsGuiXml_Thresh             "THRESHOLD"
#define     KsGuiXml_Max_Try            "MAX_TRY"



#define     KsGuiXml_Online              "ONLINE"
//#define     KsGuiXml_Value              "VALUE"


#define     KsGuiXml_Vio_File            "VIO_FILE"
#define     KsGuiXml_Rio_File            "RIO_FILE"
#define     KsGuiXml_Sio_File            "SIO_FILE"
#define     KsGuiXml_Cfg_File            "CFG_FILE"
#define     KsGuiXml_Tti_File            "TTI_FILE"
#define     KsGuiXml_Msg_File            "MSG_FILE"
#define     KsGuiXml_Mcf_File            "MCF_FILE"


#define     KsGuiXml_Run_Params          "RUN_PARAMS"
#define     KsGuiXml_Run_Number          "RUN_NUMBER"
#define     KsGuiXml_Evt_Dir             "EVT_DIR"
#define     KsGuiXml_CoolDown            "COOLDOWN"
#define     KsGuiXml_Mode_Bin            "MODE_BIN"
#define     KsGuiXml_Evt_Max             "EVT_MAX"

#define     KsGuiXml_Run_Control         "RUN_CONTROL"
#define     KsGuiXml_Pause               "PAUSE"
#define     KsGuiXml_Resume              "RESUME"
#define     KsGuiXml_Stop                "STOP"

#define     KsGuiXml_Run_Status          "RUN_STATUS"
//#define     KsGuiXml_Run_Number          "RUN_NUMBER"
#define     KsGuiXml_State               "STATE"

#define     KsGuiXml_Evt_Status          "EVT_STATUS"
#define     KsGuiXml_Evt_Number          "EVT_NUMBER"
//#define     KsGuiXml_State               "STATE"
