/*-------------------------------------------------------------------------------*/
  /*
     GuiCommandParser.h
     02-Nov-2004
  */
#ifndef __GuiCommandParser__
#define __GuiCommandParser__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/TemplateDictionary.h"

#include "L1Cal_IIb_TCC/GuiCommand.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CGuiCommandParser 
{

/////////////////////////////
// Constructor/Destructor

public:

    CGuiCommandParser () ;
   ~CGuiCommandParser () ;

/////////////////////////////
// Member Variables

public:

private: 

/////////////////////////////
// Member Functions

public: 

    EGuiCommandStatus      ParseXmlMessage    ( CGuiCommandLine*  _poGuiCommandLine ) ;
    EGuiCommandStatus      FindGuiCommand     ( CGuiCommandLine*  _poGuiCommandLine ) ;
    EGuiCommandStatus      ReleaseXmlMessage  ( CGuiCommandLine*  _poGuiCommandLine ) ;

static    bool             GuiCommandMatch    ( CGuiCommandLine*  _poGuiCommandLine,
                                                char*             _psCommandName ) ;

static    char*            GuiGetEltAttrName  ( CGuiCommandLine*  _poGuiCommandLine,
                                                char*             _psElementTag,
                                                char*             _psAttributeTag,
                                                char*             _psDefaultValue = NULL ) ;

static    void             XMLrelease         ( char* _pstring ) ;
static    void             XMLrelease         ( XMLCh* _pstring ) ;

        
} ;

/*-------------------------------------------------------------------------------*/
#endif // __GuiCommandParser__
