/*-------------------------------------------------------------------------------*/
  /*
     GuiDlgTestRandReg.h
     15-Dec-2004
  */
/*-------------------------------------------------------------------------------*/

// constants for manipulating radio buttons for exponent selection
#define     KFlag_x1        0 
#define     KFlag_kilo      1 
#define     KFlag_Mega      2
#define     KFlag_Giga      3

#define     KValue_x1       1
#define     KValue_kilo     1000
#define     KValue_Mega     1000000
#define     KValue_Giga     1000000000




void DlgTestRandReg_ClearAll () ;

ESuccess DlgTestRandReg_AddRange ( unsigned int     m_iVertical_Master_Num,
                                   unsigned int     m_iVertical_Slave_Num,
                                   unsigned int     m_uiSlot_Number,
                                   unsigned int     m_uiChip_Address,
                                   unsigned int     m_uiReg_Address_Start,
                                   unsigned int     m_uiReg_Address_Count ) ;

void DlgTestRandReg_StartTest ( unsigned int     m_ulTestLoop,
                                unsigned int     m_iExponent,
                                bool             m_lOnErrorStop,
                                bool             m_lOnErrorVerifyAll ) ;

CAdfRegBase*   DlgTestRandReg_FindRegister  ( TulVmeAddress  _ulVmeAddress ) ;

ESuccess    DlgTestRandReg_BuildPointerArray     ( )  ;

ESuccess    DlgTestRandReg_ZeroAllRegisters    ( ) ;

ESuccess    DlgTestRandReg_ClearAllEntries ( ) ;

ESuccess    DlgTestRandReg_VerifyAllAgain ( ) ;


