/*-------------------------------------------------------------------------------*/
  /*
     HandleCoorConnection.h
     28-Sep-99
  */
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/StringMessageConsumerInterface.h"
#include "L1Cal_IIb_TCC/MessageCommand.h"

//maximum length of Msg ID sent by and returned to COOR
#define     KiMaxLengthCoorMsgID        32

//maximum length of Text String for status 
#define     KiMaxLengthReplyStatus      4   /*i.e. "Ok", "Bad" or "More" */

//maximum length of Text String for reply
#define     KiMaxLengthFullReply        KiMaxLengthReplyTextToCoor + KiMaxLengthCoorMsgID +1 +KiMaxLengthReplyStatus +1 // don't forget spaces

// Initialize the Coor Connection Server
// (called only once)
ESuccess  InitCoorConnectionServer ( ) ;

//Shutdown Coor Connection Server 
ESuccess  ShutdownCoorConnectionServer ( ) ;


// Create a client connection to the COOR server port to impersonate COOR
ESuccess  InitCoorConnectionClient ( ) ;

//Shutdown Coor Connection Client
ESuccess  ShutdownCoorConnectionClient ( ) ;


// Coor Message handler
String_Message_Consumer_Interface    Coor_Message_Interface ;   

/*-------------------------------------------------------------------------------*/
