/*-------------------------------------------------------------------------------*/
  /*
     MessageCoorDispatcher.h
     7-Oct-99
     28-Oct-99 Coor Command Parsing split onto separate files
     22-Sep-2005 Restructred for L1Cal_IIb_TCC
  */
#ifndef __MessageCoorDispatcher__
#define __MessageCoorDispatcher__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/MessageCommand.h"
#include "L1Cal_IIb_TCC/MessageCoorExecuter.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CMessageCoorDispatcher
{

/////////////////////////////
// Constructor/Destructor

public:

    CMessageCoorDispatcher () { } ;
   ~CMessageCoorDispatcher () { } ;

/////////////////////////////
// Member Variables

public:

private: 

/////////////////////////////
// Member Functions

public: 

    ECoorMessageStatus  MessageDispatch           ( CMessageCommandLine*            _poCoorCommandLine,
                                                    CMessageCoorExecuter*           _pxCoorExecute ) ;

    ECoorMessageStatus  MessageDispatch_CoorL1Cal ( CMessageCommandLine*            _poCoorCommandLine,
                                                    CMessageCoorExecuter*           _pxCoorExecute ) ;

    ECoorMessageStatus  MessageDispatch_CoorL1FW  ( CMessageCommandLine*            _poCoorCommandLine,
                                                    CMessageCoorExecuter*           _pxCoorExecute ) ;

private:

} ;

/*-------------------------------------------------------------------------------*/
#endif // __MessageCoorDispatcher__
