/*-------------------------------------------------------------------------------*/
  /*
     MessageCoorParser.h
     7-Oct-99
     28-Oct-99 Coor Command Parsing split onto separate files
     22-Sep-2005 Restructred for L1Cal_IIb_TCC
  */
#ifndef __MessageCoorParser__
#define __MessageCoorParser__
/*-------------------------------------------------------------------------------*/

//Simple Dictionary Template
#include "L1Cal_IIb_TCC/MessageTokenizer.h"

#include "L1Cal_IIb_TCC/MessageCommand.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CMessageCoorParser
{

/////////////////////////////
// Constructor/Destructor

public:

    CMessageCoorParser () ;
   ~CMessageCoorParser () ;

/////////////////////////////
// Member Variables

public:

protected: 

    TDictionary < char, unsigned int >   m_oKeywordDictionary ;

/////////////////////////////
// Member Functions

public: 

    void                    AddKeywords           ( CMessageTokenizer*      _poTokenizer ) ;

    ECoorMessageStatus      ParseMessage          ( CMessageCommandLine*    _poCoorCommandLine ) ;

protected:

    ECoorMessageStatus      ParseInterpret_Generic( CMessageCommandLine*    _poCoorCommandLine ) ;
    ECoorMessageStatus      ParseInterpret_L1Cal  ( CMessageCommandLine*    _poCoorCommandLine ) ;
    
} ;

/*-------------------------------------------------------------------------------*/
#endif // __MessageCoorParser__
