/*-------------------------------------------------------------------------------*/
  /*
     MessageMgrExecuter.h
     8-Jun-2000
     22-Sep-2005 Restructred for L1Cal_IIb_TCC
  */
#ifndef __MessageMgrExecuter__
#define __MessageMgrExecuter__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/MessageMgrPrinter.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CMessageMgrExecuter : public CMessageMgrPrinter
{

/////////////////////////////
// Constructor/Destructor

public:

    CMessageMgrExecuter () { } ;
   ~CMessageMgrExecuter () { } ;

/////////////////////////////
// Member Variables

public:

private:

/////////////////////////////
// Member Functions

public:

    ECoorMessageStatus  BaseAlignmentDelay        ( const unsigned long     _ulBaseDelay,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  OffsetTick1RawAdcMonit    ( const unsigned long     _ulIndexNum,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  OffsetTick1RawAdcSimu     ( const unsigned long     _ulIndexNum,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  OffsetTick1OutputEtMonit  ( const unsigned long     _ulIndexNum,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  OffsetTick1OutputEtSimu   ( const unsigned long     _ulIndexNum,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  OffsetTriggeredToTickAtCapture
                                                  ( const unsigned long     _ulIndexNum,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  L1Cal_Operational         ( CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  L1Cal_Not_Operational     ( CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  Monit_Control_Time        ( const unsigned long     _ulTime_ms,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  L1CalCoverage             ( TAllTriggerTowers*      _pxTT,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  NewLogFile                ( CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  Find_DAC                  ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  Adjust_Ped                ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  Revert_Ped                ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  Profile_BLS               ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  Profile_AdfEt             ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  AdfOut_Constant           ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    const unsigned long     _ulConstantData,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  RawAdc_Thresh             ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    const unsigned long     _ulThreshold,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;


    ECoorMessageStatus  RawAdc_MuxMode            ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    ERawAdc_MuxMode_Type    _eMuxMode,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  RawAdc_MemMode            ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    ERawAdc_MemMode_Type    _eMemMode,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  AdfOut_MuxMode            ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    EAdfOut_MuxMode_Type    _eMuxMode,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

    ECoorMessageStatus  AdfOut_MemMode            ( ETT_Chan_Type           _eTTType,
                                                    TAllTriggerTowers*      _pxTT,
                                                    EAdfOut_MemMode_Type    _eMemMode,
                                                    CMessageCommandLine*    _poCoorCommandLine = NULL ) ;

private:

} ;
/*-------------------------------------------------------------------------------*/
#endif // __MessageMgrExecuter__
