/*-------------------------------------------------------------------------------*/
  /*
     MessageTokenizer.h
     22-Sep-2005 Restructred for L1Cal_IIb_TCC
  */
#ifndef __MessageTokenizer__
#define __MessageTokenizer__
/*-------------------------------------------------------------------------------*/

//Simple Dictionary Template
#include "L1Cal_IIb_TCC/TemplateDictionary.h"

#include "L1Cal_IIb_TCC/MessageCommand.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CMessageTokenizer
{

/////////////////////////////
// Constructor/Destructor

public:

    CMessageTokenizer () ;
   ~CMessageTokenizer () ;

/////////////////////////////
// Member Variables

public:

protected: 

    TDictionary < char, unsigned int >   m_oKeywordDictionary ;

/////////////////////////////
// Member Functions

public: 

    void                    AddEntry            ( char* _psKey, unsigned int _uiValue ) 
                                                { m_oKeywordDictionary.AddEntry ( _psKey, _uiValue ) ; } ;

    ECoorMessageStatus      ParseTokenize       ( CMessageCommandLine*  _poCoorCommandLine ) ;

} ;

/*-------------------------------------------------------------------------------*/
#endif // __MessageTokenizer__
