/*-------------------------------------------------------------------------------*/
  /*
    NevisGabCard.h
    Class CNevisGabCard
    14-Sep-2005
  */
#ifndef __NevisGabCard__
#define __NevisGabCard__
/*-------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/NevisCard.h"
#include "L1Cal_IIb_TCC/HsroChannel.h"

/*-------------------------------------------------------------------------------*/

class CNevisGabCard : public CNevisCard
{
/////////////////////////////
// Constructor/Destructor

public:

             CNevisGabCard ( unsigned char   _ubModuleNum,       // the VME SCL Module Num for this card
                             CString*        _posCardDescription = NULL ) ; 

            ~CNevisGabCard ( );

protected:


/////////////////////////////
// Attributes

public:

    // The Data Path FPGAs
//    CGabChipFpga*       m_apoDpFpga[KiTotFpgaPerGab] ;

protected:

/////////////////////////////
// Operations

public:

    ESuccess        Initialize         ( ) ;

    ESuccess Set_JetAllTerm       ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_ObjCount_Thresh ) ;


    ESuccess Set_JetCentralTerm   ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_Set_ObjCount_Thresh ) ;


    ESuccess Set_EmAllTerm        ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_Set_ObjCount_Thresh ) ;


    ESuccess Set_EmCentralTerm    ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_Set_ObjCount_Thresh ) ;

    ESuccess Set_TauCentralTerm   ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_Set_ObjCount_Thresh ) ;

    ESuccess Set_IsolEmAllTerm    ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_Set_ObjCount_Thresh ) ;

    ESuccess Set_IsolEmCentralTerm( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num,
                                    unsigned long    Set_Set_ObjCount_Thresh ) ;

    ESuccess Set_MissEtTerm       ( unsigned long    Rel_Term_Num,
                                    unsigned long    Set_AdcSquare_Thresh ) ;


    ESuccess Set_TotEtTerm        ( unsigned long    Rel_Term_Num,
                                    unsigned long    Set_AdcCount_Thresh ) ;


    ESuccess Set_AcoplanarJetTerm ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num_a,
                                    unsigned long    Use_Thresh_Num_v ) ;

    ESuccess Set_BackToBackEmTerm ( unsigned long    Rel_Term_Num,
                                    unsigned long    Use_Thresh_Num ) ;


protected:

///////////////////////////////////////////
// Access Privileges outside of this class

};

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#endif // __NevisGabCard__
