/*-------------------------------------------------------------------------------*/
  /*
     StringMessageConsumerInterface.h
     Interface to message parser
     28-Sep-99
  */
#ifndef __StringMessageConsumerInterface__
#define __StringMessageConsumerInterface__
/*-------------------------------------------------------------------------------*/

//return value encoding
enum        EReply_Option { No_Reply_Needed, Send_Reply } ;

//define default maximum length for acknowledgement messages 
//This value must be >= KiMaxLengthFullReply from HandleCoorConnection.h
#define     KiMaxLengthStringOut        500

// actual interface definition
typedef     ESuccess    String_Message_Consumer_Interface( const char*      _acStringIn,
                                                           char*            _acStringOut = NULL,
                                                           EReply_Option*   _peReplyOption = NULL ) ;

/*-------------------------------------------------------------------------------*/
#endif // __StringMessageConsumerInterface__
