/*-------------------------------------------------------------------------------*/
  /*
    T962_ReadCrate.h
    Class CT962_ReadCrate
    28-Nov-2008
  */
#ifndef __T962_ReadCrate__
#define __T962_ReadCrate__
/*-------------------------------------------------------------------------------*/

#include "thread_util/Thread.hpp"
#include "thread_util/Thread_Util.hpp"
using     namespace thread_util ;

/*-------------------------------------------------------------------------------*/
// forward declaration

class CT962 ;

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
using namespace thread_util ; //needed when switched to thread_util V00-10-01

class CT962_ReadCrate : public Thread
{

/////////////////////////////
// Constructor/Destructor
public:

    public:

         CT962_ReadCrate( CT962*              _poT962,
                          unsigned long       _ulAdfCrateNum );

        ~CT962_ReadCrate();

/////////////////////////////
// Attributes
public:

    // handy access to main T962 object 
    CT962*              m_poT962 ;

    // which crate should this thread read out
    unsigned long       m_ulAdfCrateNum ;

    // synchronization flags
    bool                m_bReadRequested ;
    bool                m_bReadDone ;


/////////////////////////////
// Operations

public:

    virtual void* run () ;

protected:

} ;
/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#endif // __T962_ReadCrate__
