/*-------------------------------------------------------------------------------*/
  /*
    UtilsRandom.h
    09-July-98
    updated 17-july-03
  */
/*-------------------------------------------------------------------------------*/
#if defined (__UtilsRandom__) // prevent double definition 
#else
    #define  __UtilsRandom__
/*-------------------------------------------------------------------------------*/

#define KiNativeRandBits        15 
#define KiSingleNativeRandMax   RAND_MAX    // 15 bits = 0x7fff 
#define KiDoubleNativeRandMax   0x3fffffff  // 30 bits

unsigned long ulRandom      ( unsigned long     _ulMinValue, 
                              unsigned long     _ulMaxValue ) ;

inline unsigned long ulRandom 
                            ( unsigned long     _ulMaxValue = 0xffffffff ) { return ulRandom ( 0, _ulMaxValue ) ; } ;

void vRandomInit            ( ) ;

void ulRandomSetSeed        ( unsigned long      _ulSeed ) ;

/*-------------------------------------------------------------------------------*/
#endif //__UtilsRandom__
