/*-------------------------------------------------------------------------------*/
  /*
    AdfChipFpga.cpp
    Class AdfChipFpga
    11-Nov-04
  */
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/StdAfx.h"

#include "L1Cal_IIb_TCC/GlobalConstants.h"
#include "L1Cal_IIb_TCC/CustomDataTypes.h"

#include                            "L1Cal_IIb_TCC/AdfChipFpga.h"

#include "L1Cal_IIb_TCC/HandleConsole.h"
/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
CAdfChipFpga::CAdfChipFpga()
{
	// TODO: add one-time construction code here

}

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
CAdfChipFpga::CAdfChipFpga  ( CAdfCardBase*   _poMotherCard,
                              unsigned char   _ubChipAddress )

            : CAdfChipBase  (                 _poMotherCard,  // this calls the base class contructor
                                              _ubChipAddress ) 

{

}

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
CAdfChipFpga::~CAdfChipFpga()
{
}
/*-------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
/*
ESuccess CAdfChipFpga::Initialize     ( ) 

{

    ESuccess        eReturnStatus = Ok ;

    TuwRegWord      uwTemp ;

    //\\//

    // reset the Modified flag of all registers 
    // so that they may be initialized even if their content had changed
    m_poChipCSRLow->f_vClearModified () ;
    m_poChipCSRHig->f_vClearModified () ;
    
    // No interrupts allowed by BSF
    uwTemp = 0x0000 ; 
    if ( m_poChipCSRLow->f_okWriteReg ( &uwTemp ) != Ok ) 
        eReturnStatus = Error ;

    return eReturnStatus ;
}
/*-------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
unsigned long CAdfChipFpga::ChannelAddrOffset ( unsigned long ulRelEta, 
                                                unsigned long ulRelPhi ) 
{
    return ( ulRelEta*KiTotPhiPerAdf + ulRelPhi ) * KiRegAddrChannelIncrement ;
}
/*-------------------------------------------------------------------------------*/
