/*-------------------------------------------------------------------------------*/
  /*
    NevisGabCard.cpp
    14-Sep-2005
  */
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/StdAfx.h"

#include "L1Cal_IIb_TCC/GlobalConstants.h"
#include "L1Cal_IIb_TCC/CustomDataTypes.h"

#include                            "L1Cal_IIb_TCC/NevisGabCard.h"

#include "tabgab/tcc_to_tabgab_coor.h"

#include "L1Cal_IIb_TCC/HandleConsole.h"
//#include "L1Cal_IIb_TCC/HandleResultFile.h"
#include "L1Cal_IIb_TCC/UtilsStrings.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
CNevisGabCard::CNevisGabCard      ( unsigned char   _ubModuleNum,
                                    CString*        _posCardDescription )

             : CNevisCard         (                 _ubModuleNum,
                                                    _posCardDescription )

{

    //\\//

}

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
CNevisGabCard::~CNevisGabCard()
{

}
/*-------------------------------------------------------------------------------*/

ESuccess CNevisGabCard::Initialize ( ) 
{
    ESuccess        eReturnStatus = Ok ;

    //\\//
    
    // Advertize initialization
    CNevisCard::Initialize () ;


    // Initialize the GAB Card
    eReturnStatus = ReportTabGabStatus (  Gab_Initialize ( ),
                                         "Gab_Initialize",
                                         "CNevisGabCard::Initialize" ) ;

    return eReturnStatus ;
}

