// StdAfx.h.cpp : source file that includes just the standard includes
//	L1Cal_IIb_TCC.pch will be the pre-compiled header
//	StdAfx.h.obj will contain the pre-compiled type information

#include "L1Cal_IIb_TCC/StdAfx.h"

#include "thread_util/Thread_Util.hpp" // for Thread_Util::delay ()


// define Sleep for unix version
#ifdef WIN32
#else 

    void Sleep( unsigned long milliseconds ) 
    {
        thread_util::Thread_Util::delay ( ( (float) milliseconds ) / 1000.0 ) ;
        return ;
    } ;

#endif

// define usleep (used by tab software) for windows version
#ifdef WIN32

    int usleep(unsigned int microseconds) 
    {
        if ( microseconds < 10000 ) microseconds = 10000 ; // minimum 10 ms
        thread_util::Thread_Util::delay ( ( (float) microseconds ) / 1000000.0 ) ;
        return 0 ;
    }

#endif



