#include "tabgab/tabgab_util.h"

#include <stdlib.h>

#define MAX_STRING 500

char * tabgab_package_version = NULL;
char * tabgab_firmware_dir    = NULL; 
char * tabgab_config_dir      = NULL; 
char * tabgab_work_dir        = NULL;

int tabgab_check_environment(){
    if (! tabgab_package_version){
	error("tabgab_check_environment:  tabgab_package_version not defined!\n");
	return EXIT_FAILURE;
    }
    if (! tabgab_firmware_dir){
	error("tabgab_check_environment:  tabgab_firmware_dir not defined!\n");
	return EXIT_FAILURE;
    }
    if (! tabgab_config_dir){
	error("tabgab_check_environment:  tabgab_config_dir not defined!\n");
	return EXIT_FAILURE;
    }
    if (! tabgab_work_dir){
        error("tabgab_check_environment:  tabgab_work_dir not defined!\n");
	return EXIT_FAILURE;
    }
    return EXIT_SUCCESS;
}
