#include "tabgab/tcc_to_tabgab.h"
#include "tabgab/tcc_to_tabgab_config.h"
#include "tabgab/tabgab_util.h"
#include "tabgab/tab.h"

EStatus Tab_or_Gab_Configure  ( unsigned long    Module ) {				        
    SET_TRY_CONTEXT("Tab_or_Gab_Configure");    
    CHECK_TABGAB_ENV;
    
    SET_TRY_MSG(TRY_MSG,"check_tab_or_gab failed for module %d...", Module);    
    TRY_PAR (check_tab_or_gab(Module));

    SET_TRY_MSG(TRY_MSG, "stratix_configure failed for module %d", Module);
    TRY_IO  (stratix_configure(Module, tabgab_firmware_dir, tabgab_package_version));
	         
    return eOk;    
}
