
#include "tabgab/tcc_to_tabgab_env.h"
#include "tabgab/tabgab_util.h"

#include "string.h"

#define MAX_STRING 500

EStatus Tab_Gab_Set_Package_Version( const char * Package_Version ){
    static char data[MAX_STRING];
    
    tabgab_package_version = data;
    strncpy(data, Package_Version, MAX_STRING);    
    return eOk;
}

EStatus Tab_Gab_Set_Firmware_Dir( const char * Firmware_Dir ){
    static char data[MAX_STRING];
    
    tabgab_firmware_dir = data;
    strncpy(data, Firmware_Dir, MAX_STRING);    
    return eOk;
}

EStatus Tab_Gab_Set_Config_Dir( const char * Config_Dir ){
    static char data[MAX_STRING];
    
    tabgab_config_dir = data;
    strncpy(data, Config_Dir, MAX_STRING);    
    return eOk;
}

EStatus Tab_Gab_Set_Work_Dir( const char * Work_Dir ){
    static char data[MAX_STRING];
    
    tabgab_work_dir = data;
    strncpy(data, Work_Dir, MAX_STRING);    
    return eOk;
}

