/*-------------------------------------------------------------------------------*/
  /*
    AdfRegEtLookup.h
    Class AdfRegEtLookup
    16-Nov-2004
  */
#ifndef __AdfRegEtLookup__
#define __AdfRegEtLookup__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/AdfRegBase.h"

class CAdfChipBase ;  // forward declaration 

/*-------------------------------------------------------------------------------*/

class CAdfRegEtLookup : CAdfRegBase
{

/////////////////////////////
// Constructor/Destructor
public:

             CAdfRegEtLookup      ( CAdfChipBase*       _poMotherFpga,
                                    unsigned short      _uwBaseRegAddress,
                                    unsigned short      _uwInputZeresp  = 0,
                                    unsigned short      _uwOutputZeresp = 0,
                                    double              _fdSlope        = 1.0 ) ;

            ~CAdfRegEtLookup();

/////////////////////////////
// Attributes
public:

protected:

    CAdfRegBase*    m_poScratchReg ;

    unsigned short  m_uwInputZeresp ;
    unsigned short  m_uwOutputZeresp ;
    double          m_fdSlope ;

/////////////////////////////
// Operations
public:

    ESuccess       f_okLoadLookup     ( unsigned short*     _puwInputZeresp  = NULL,
                                        unsigned short*     _puwOutputZeresp = NULL,
                                        double*             _pfdSlope        = NULL,
                                        bool                _lSkipVerify     = true ) ;

    ESuccess       f_okVerifyLookup   ( ) ;

protected:

};

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#endif // __AdfRegEtLookup__
