/*-------------------------------------------------------------------------------*/
  /*
     GuiCommandConsumer.h
     02-Nov-2004
  */
#ifndef __GuiCommandConsumer__
#define __GuiCommandConsumer__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/GuiCommand.h"
#include "L1Cal_IIb_TCC/GuiCommandParser.h"
#include "L1Cal_IIb_TCC/GuiCommandExecuter.h"
#include "L1Cal_IIb_TCC/GuiCommandDispatcher.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CGuiCommandConsumer :  private CGuiCommandLine,
                             private CGuiCommandParser, 
                             private CGuiCommandDispatcher,
                             private CGuiCommandExecuter
{

/////////////////////////////
// Constructor/Destructor

public:

    CGuiCommandConsumer () { } ;
   ~CGuiCommandConsumer () { } ;

/////////////////////////////
// Member Variables

public:

private: 

/////////////////////////////
// Member Functions

public: 

    EGuiCommandStatus ConsumeGuiCommand      ( const char*          _psCommandText,
                                               char*                _psReplyText,
                                               unsigned int         _uiMaxReplyLength ) ;

private:

} ;



/*-------------------------------------------------------------------------------*/
#endif // __GuiCommandConsumer__
