/*-------------------------------------------------------------------------------*/
  /*
     HandleGuiConnection.h
     02-Nov-2004
  */
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/StringMessageConsumerInterface.h"
#include "L1Cal_IIb_TCC/GuiCommand.h"

//maximum length of Msg ID sent by and returned to GUI
#define     KiMaxLengthGuiCommandID        32

//maximum length of Text String for status 
#define     KiMaxLengthGuiReplyStatus      4   /*i.e. "Ok", "Bad" or "More" */

//maximum length of Text String for reply
#define     KiMaxLengthFullGuiReply        KiMaxLengthReplyTextToGui + KiMaxLengthGuiCommandID +1 +KiMaxLengthGuiReplyStatus +1 // don't forget spaces

// Initialize the Gui Connection Server
// (called only once)
ESuccess  InitGuiCommandServer ( ) ;

//Shutdown Gui Connection Server 
ESuccess  ShutdownGuiCommandServer ( ) ;

// GUI Message handler, use same as COOR 
String_Message_Consumer_Interface    Gui_Command_Interface ;   

/*-------------------------------------------------------------------------------*/
