/*-------------------------------------------------------------------------------*/
  /*
     HandleItcClient.h
     17-Nov-99
  */
/*-------------------------------------------------------------------------------*/

#include "itc/itc.hpp"
#include "itc/String_Message.hpp"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class ItcClient
{

/////////////////////////////
// Constructor/Destructor
public:

    ItcClient         ( ) { m_pClient = NULL ; } ; // defining a dummy client will allow gcc to get at the static variables

    ItcClient         ( unsigned short  _uwPort_Num, 
                        const char*     _kpsHost = NULL ) ;
   ~ItcClient         ( ) ;

/////////////////////////////
// Attributes
public:

    static  ItcClient* m_poConnection_as_Coor_to_Self ;

private:

    itc::SOCK_Auto_Connector*   m_pClient ;

    unsigned short              m_uwIP_Port_Num ;
    CString                     m_osHostName ;

    EYesNo                      m_ynConnected ;

    CString                     m_osReply ;

/////////////////////////////
// Operations
public:

        bool        IsNotInitialized () { return ( m_pClient == NULL ) ; } ; 

        ESuccess    SendMessage ( const char*       const _sString ) ;

static  ESuccess    Initialize_FakeCoorToSelf ( unsigned short _iIP_port_num ) ;
static  ESuccess    Delete_FakeCoorToSelf ( ) ;

        ESuccess    ClearReply  ( ) ;
        ESuccess    LastReply   ( CString*        _posString ) ;
        ESuccess    HasReplied  ( ) ;

void    Message_Consumer ( const itc::IPC_Message &_ItcMsgIn ) ; 

private:

        ESuccess    Connect     ( ) ;

} ;
