/*-------------------------------------------------------------------------------*/
  /*
    HandleResultFile.h
    Class CResultFile
    18-Apr-2001
  */
#ifndef __HandleResultFile__
#define __HandleResultFile__
/*-------------------------------------------------------------------------------*/


class CResultFile
{
/////////////////////////////
// Constructor/Destructor
public:

	 CResultFile( const char*       const _sString );


     ~CResultFile();

/////////////////////////////
// Attributes
public:


private:

    CString     m_osFileName ;
    FILE*       m_hResultFile ;

    static char mg_acMode_Read[] ;
    static char mg_acMode_Write[] ;
    static char mg_acMode_WrtBin[] ;
    static char mg_acMode_Append[] ; 

/////////////////////////////
// Operations
public:

    ESuccess  OpenForRead   ( ) ;

    ESuccess  OpenForWrite  ( bool   _lBinaryMode = false,
                              bool   _lVerbose    = true ) ;
    
    ESuccess  OpenForAppend ( bool   _lVerbose    = true ) ;

    ESuccess  Close         ( bool   _lVerbose    = true ) ;

    ESuccess  Flush         ( ) ;

    ESuccess  WriteLine       ( const char* const       _sString ) ;

    ESuccess  WriteBinary     ( const char*             _pcByteData,
                                const unsigned long     _ulByteCount ) ;

    ESuccess  WriteDateTimeLine ( char* _pcCommentFlag = NULL ) ; 
    ESuccess  WriteRulerLine    ( char* _pcCommentFlag = NULL ) ;

    EYesNo    ReadyForWrite     ( ) ;

    CString   f_osFileName      ( ) { return m_osFileName ; } ;

};

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
// define some constants

/*-------------------------------------------------------------------------------*/
#endif // __HandleResultFile__
