/*-------------------------------------------------------------------------------*/
  /*
    L1Cal_IIb_TCC_Version.h
    Constants describing current version
    11-Oct-04  V0.1 Initial port of a minimal core version of Trics
    15-Oct-04  V0.2
               V0.3
               V0.4 Random Register Test
    17-Dec-04  V0.5
    29-Dec-04  V1.0 Clean up project file organization and rename to L1Cal_IIb_TCC
    12-Jan-05  V1.1 Support successive ADC sample capture and histogram
               V1.2 
    22-Feb-05  V1.3 add Read/Write VME and Mutex for Screen and Logfile
    10-Feb-05  V1.4 First Sidewalk version
       Feb-05  V2.0 Start port to Linux
     9-May-05  V2.1 Successful port of TCC server and py_itc extension for Gui client
    19-May-05  V2.2 T7 ADF firmware support
    23-May-05  V2.3 Readout Crate
     8-Jul-05  V3.0 include Tab Gab code Interface
    31-Oct-05  V3.1 Local TCC Command Files
     6-Dec-05  V3.2 First TabGab routines beyond FPGA configure
               V3.3
               V4.0 
               V4.1
    24-May-06  V4.2 Add Serial IO Command Files
  */
// Note: this file is #included via StdAfx.h
#ifndef __L1Cal_IIb_TCC_Version__
#define __L1Cal_IIb_TCC_Version__
/*-------------------------------------------------------------------------------*/

#define KiVersionMajor   6
#define KiVersionMinor   1
#define KiVersionRev    'A'

#define KsVersion        "V6_1_A"

/*-------------------------------------------------------------------------------*/
#endif // __L1Cal_IIb_TCC_Version__
