/*-------------------------------------------------------------------------------*/
  /*
     ListOfResultFiles.h
     Collection of all Result files used by L1Cal_IIb_TCC
     20-Sept-2001
  */
/*-------------------------------------------------------------------------------*/
//use static tag so that this same file can be included in multiple source files
//without causing multiple definitions link errors

/////////////////////////////////////////////////////////////////////////////////
// These files be mailed out automatically by an external application 

//Hold the Execution Status for the last "Configure" Command 
static const CString     osStatus_At_Last_Config     = "%MAIL%Status_At_Last_Config.log" ;

//Hold the Execution Status for the last "Initialize" Command 
static const CString     osStatus_At_Last_Init       = "%MAIL%Status_At_Last_Init.log" ;

//The Monitoring Server can declare the system non-operational
static const CString     osStatus_Non_Operational    = "%MAIL%Status_Non_Operational.log" ;


/////////////////////////////////////////////////////////////////////////////////
//This file is written when COOR issues Stop_Run and is read in when L1Cal_IIb_TCC starts up 

//Luminosity Block Number command file
static const CString     osLBN_Backup                = "%CONFIG%LBN_At_Last_Init.lbn" ;

