/*-------------------------------------------------------------------------------*/
  /*
     MessageConsumer.h
     6-Jun-2000
     22-Sep-2005 Restructred for L1Cal_IIb_TCC
  */
#ifndef __MessageConsumer__
#define __MessageConsumer__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/MessageCommand.h"
#include "L1Cal_IIb_TCC/MessageTokenizer.h"

#include "L1Cal_IIb_TCC/MessageCoorParser.h"
#include "L1Cal_IIb_TCC/MessageCoorExecuter.h"
#include "L1Cal_IIb_TCC/MessageCoorDispatcher.h"

#include "L1Cal_IIb_TCC/MessageMgrParser.h"
#include "L1Cal_IIb_TCC/MessageMgrExecuter.h"
#include "L1Cal_IIb_TCC/MessageMgrDispatcher.h"

#include "L1Cal_IIb_TCC/MessageKeywordsCoorGeneric.h"
#include "L1Cal_IIb_TCC/MessageKeywordsCoorL1Cal.h"
#include "L1Cal_IIb_TCC/MessageKeywordsTrgMgr.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CMessageConsumer : private CMessageCommandLine,
                         private CMessageTokenizer, 
                         private CMessageCoorParser, 
                         private CMessageCoorDispatcher,
                         private CMessageCoorExecuter,
                         private CMessageMgrParser, 
                         private CMessageMgrDispatcher,
                         private CMessageMgrExecuter
{

/////////////////////////////
// Constructor/Destructor

public:

    CMessageConsumer () ;
   ~CMessageConsumer () ;

/////////////////////////////
// Member Variables

public:

private: 

/////////////////////////////
// Member Functions

public: 

    ECoorMessageStatus ConsumeMessage    ( const char*          _psMessageCoor,
                                           char*                _psReplyText,
                                           unsigned int         _uiMaxReplyLength ) ;

private:

} ;



/*-------------------------------------------------------------------------------*/
#endif // __MessageConsumer__
