/*-------------------------------------------------------------------------------*/
  /*
     MessageCoorConsumer.h
     this class is not used online which uses a similar scheme, 
     this class could be used to handle only COOR messages

     22-Sep-2005 Restructred for L1Cal_IIb_TCC
  */
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/MessageCommand.h"
#include "L1Cal_IIb_TCC/MessageTokenizer.h"
#include "L1Cal_IIb_TCC/MessageCoorParser.h"
#include "L1Cal_IIb_TCC/MessageCoorExecuter.h"
#include "L1Cal_IIb_TCC/MessageCoorDispatcher.h"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
class CMessageCoorConsumer : private CMessageCommandLine,
                             private CMessageTokenizer,
                             private CMessageCoorParser, 
                             private CMessageCoorDispatcher,
                             private CMessageCoorExecuter
{

/////////////////////////////
// Constructor/Destructor

public:

    CMessageCoorConsumer () ;
   ~CMessageCoorConsumer () ;

/////////////////////////////
// Member Variables

public:

private: 

/////////////////////////////
// Member Functions

public: 

    ECoorMessageStatus ConsumeCoorMessage    ( const char*          _psMessageCoor,
                                               char*                _psReplyText,
                                               unsigned int         _uiMaxReplyLength ) ;

private:

} ;



