/*-------------------------------------------------------------------------------*/
  /*
     MessageKeywordsCoorGeneric.h
     22-Oct-99
     09-May-2000  renamed from CoorMessageKeywords.h to MessageKeywordsCoorL1FW.h 
     02-Nov-2005  renamed from MessageKeywordsCoorL1FW.h to MessageKeywordsCoorGeneric.h
  */
/*-------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
#define     Ki_CoorCmd_None                             0

//All command IDs in this file must fall within these values
#define     Ki_CoorCmd_MinID_Generic                    1
#define     Ki_CoorCmd_MaxID_Generic                  999

//[Configure_FPGAs]
#define     Ks_CoorCmd_Configure_FPGAs                 "Configure_FPGAs"
#define     Ki_CoorCmd_Configure_FPGAs                  10

//[Init] or [L1Cal_Initialize]
#define     Ks_CoorCmd_Init                            "Init"
#define     Ki_CoorCmd_Init                             15
#define     Ks_CoorCmd_L1Cal_Initialize                "L1Cal_Initialize"
#define     Ki_CoorCmd_L1Cal_Initialize                 15

//[Iterative_DeSkew]
#define     Ks_CoorCmd_Iterative_DeSkew                "Iterative_DeSkew"
#define     Ki_CoorCmd_Iterative_DeSkew                 17


//[Start_Run    runno   spectrigs]
#define     Ks_CoorCmd_Start_run                       "Start_Run"
#define     Ki_CoorCmd_Start_run                        20

//[Stop_Run     runno]
#define     Ks_CoorCmd_Stop_run                        "Stop_Run"
#define     Ki_CoorCmd_Stop_run                         25


//[Begin_Block]
#define     Ks_CoorCmd_Begin_block                     "Begin_Block"
#define     Ki_CoorCmd_Begin_block                      30

//[End_Block]
#define     Ks_CoorCmd_End_block                       "End_Block"
#define     Ki_CoorCmd_End_block                        35

//[Configure]
#define     Ks_CoorCmd_Configure                       "Configure"
#define     Ki_CoorCmd_Configure                        40

//[Abort]
#define     Ks_CoorCmd_Abort                           "Abort"
#define     Ki_CoorCmd_Abort                            50


//[Pause_Run]
#define     Ks_CoorCmd_Pause_Run                       "Pause_Run"
#define     Ki_CoorCmd_Pause_Run                        60

//[Resume_Run]
#define     Ks_CoorCmd_Resume_Run                      "Resume_Run"
#define     Ki_CoorCmd_Resume_Run                       65

//[Begin_Store  storenum]
#define     Ks_CoorCmd_Begin_store                     "Begin_Store"
#define     Ki_CoorCmd_Begin_store                      80

//[End_Store    storenum]
#define     Ks_CoorCmd_End_store                       "End_Store"
#define     Ki_CoorCmd_End_store                        85


//[L1FW_Expo_Group  N   Deallocate]
//[L1FW_Spec_Trig   N   Deallocate]
#define     Ks_CoorSubCmd_Deallocate                   "Deallocate"
#define     Ki_CoorSubCmd_Deallocate                    399



//[# <text>]  : whole line is comment 
#define     Ks_CoorCmd_CommentLine                     "#"
#define     Ki_CoorCmd_CommentLine                      900

//[<command> # <text>]  : start of comment at end of line
#define     Ks_CoorSubCmd_Comment                      "#"
#define     Ki_CoorSubCmd_Comment                       950
// If there is no space between the comment flag and the start of the comment text
// the comment flag will not naturally be caught as a keyword 
// and it must thus be explicitely handled at the lower parsing level.
#define     Kc_Comment_Flag                            '#' 

