/*-------------------------------------------------------------------------------*/
  /*
     MessageKeywordsTrgMgr.h
  */
/*-------------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
//All command IDs in this file must fall within these values
#define     Ki_TrgMgrCmd_MinID                          3000
#define     Ki_TrgMgrCmd_MaxID                          3999


//[TrgMgr_BaseAlignmentDelay N]
#define     Ks_TrgMgrCmd_TrgMgr_BaseAlignmentDelay         "TrgMgr_BaseAlignmentDelay"
#define     Ki_TrgMgrCmd_TrgMgr_BaseAlignmentDelay          3000

//[TrgMgr_OffsetTick1RawAdcMonit]
#define     Ks_TrgMgrCmd_TrgMgr_OffsetTick1RawAdcMonit     "TrgMgr_OffsetTick1RawAdcMonit"
#define     Ki_TrgMgrCmd_TrgMgr_OffsetTick1RawAdcMonit      3010

//[TrgMgr_OffsetTick1RawAdcMonit]
#define     Ks_TrgMgrCmd_TrgMgr_OffsetTick1RawAdcSimu      "TrgMgr_OffsetTick1RawAdcSimu"
#define     Ki_TrgMgrCmd_TrgMgr_OffsetTick1RawAdcSimu       3020

//[TrgMgr_OffsetTick1OutputEtMonit]
#define     Ks_TrgMgrCmd_TrgMgr_OffsetTick1OutputEtMonit   "TrgMgr_OffsetTick1OutputEtMonit"
#define     Ki_TrgMgrCmd_TrgMgr_OffsetTick1OutputEtMonit    3030

//[TrgMgr_OffsetTick1OutputEtMonit]
#define     Ks_TrgMgrCmd_TrgMgr_OffsetTick1OutputEtSimu    "TrgMgr_OffsetTick1OutputEtSimu"
#define     Ki_TrgMgrCmd_TrgMgr_OffsetTick1OutputEtSimu     3040

//[TrgMgr_OffsetTriggeredToTickAtCapture]
#define     Ks_TrgMgrCmd_TrgMgr_OffsetTriggeredToTickAtCapture    "TrgMgr_OffsetTriggeredToTickAtCapture"
#define     Ki_TrgMgrCmd_TrgMgr_OffsetTriggeredToTickAtCapture     3050

//[TrgMgr_L1Cal_Operational]
#define     Ks_TrgMgrCmd_TrgMgr_L1Cal_Operational          "TrgMgr_L1Cal_Operational"
#define     Ki_TrgMgrCmd_TrgMgr_L1Cal_Operational           3100

//[TrgMgr_L1Cal_Not_Operational]
#define     Ks_TrgMgrCmd_TrgMgr_L1Cal_Not_Operational      "TrgMgr_L1Cal_Not_Operational"
#define     Ki_TrgMgrCmd_TrgMgr_L1Cal_Not_Operational       3110

//[TrgMgr_Monit_Control_Time_ms N]
#define     Ks_TrgMgrCmd_TrgMgr_Monit_Control_Time_ms      "TrgMgr_Monit_Control_Time_ms"
#define     Ki_TrgMgrCmd_TrgMgr_Monit_Control_Time_ms       3150


//[TrgMgr_NewLogFile]
#define     Ks_TrgMgrCmd_TrgMgr_NewLogFile                 "TrgMgr_NewLogFile"
#define     Ki_TrgMgrCmd_TrgMgr_NewLogFile                  3200


//[TrgMgr_L1Cal_Coverage TT_Eta(-20:20) ]
//[TrgMgr_L1Cal_Coverage TT_Eta(-20:20) TT_Phi(1:32)]
#define     Ks_TrgMgrCmd_TrgMgr_L1Cal_Coverage             "TrgMgr_L1Cal_Coverage"
#define     Ki_TrgMgrCmd_TrgMgr_L1Cal_Coverage              3300




//[TrgMgr_Find_DAC EM_Tower TT_Eta(-20:20) TT_Phi(1:32)]
//[TrgMgr_Find_DAC HD_Tower TT_Eta(20) TT_Phi(23)]
#define     Ks_TrgMgrCmd_TrgMgr_Find_DAC                   "TrgMgr_Find_DAC"
#define     Ki_TrgMgrCmd_TrgMgr_Find_DAC                    3400


//[TrgMgr_Adjust_Ped EM_Tower TT_Eta(-20:20) TT_Phi(1:32)]
//[TrgMgr_Adjust_Ped HD_Tower TT_Eta(20) TT_Phi(23)]
#define     Ks_TrgMgrCmd_TrgMgr_Adjust_Ped                 "TrgMgr_Adjust_Ped"
#define     Ki_TrgMgrCmd_TrgMgr_Adjust_Ped                  3420


//[TrgMgr_Revert_Ped EM_Tower TT_Eta(-20:20) TT_Phi(1:32)]
//[TrgMgr_Revert_Ped HD_Tower TT_Eta(20) TT_Phi(23)]
#define     Ks_TrgMgrCmd_TrgMgr_Revert_Ped                 "TrgMgr_Revert_Ped"
#define     Ki_TrgMgrCmd_TrgMgr_Revert_Ped                  3425


//[TrgMgr_Profile_BLS   EM_Tower TT_Eta(-20:20) TT_Phi(1:32)]
//[TrgMgr_Profile_BLS   HD_Tower TT_Eta(20) TT_Phi(23)]
#define     Ks_TrgMgrCmd_TrgMgr_Profile_BLS                "TrgMgr_Profile_BLS"
#define     Ki_TrgMgrCmd_TrgMgr_Profile_BLS                 3440



//[TrgMgr_Profile_AdfEt  EM_Tower TT_Eta(-20:20) TT_Phi(1:32)]
//[TrgMgr_Profile_AdfEt  HD_Tower TT_Eta(20) TT_Phi(23)]
#define     Ks_TrgMgrCmd_TrgMgr_Profile_AdfEt              "TrgMgr_Profile_AdfEt"
#define     Ki_TrgMgrCmd_TrgMgr_Profile_AdfEt               3460



//[TrgMgr_AdfOut_Const EM_Tower TT_Eta(-20:20) TT_Phi(1:32) Value 8]
//[TrgMgr_AdfOut_Const HD_Tower TT_Eta(20) TT_Phi(23) Value 8]
#define     Ks_TrgMgrCmd_TrgMgr_AdfOut_Const               "TrgMgr_AdfOut_Const"
#define     Ki_TrgMgrCmd_TrgMgr_AdfOut_Const                3500



//[TrgMgr_RawAdc_Thresh EM_Tower TT_Eta(-20:20) TT_Phi(1:32) Value 100]
//[TrgMgr_RawAdc_Thresh HD_Tower TT_Eta(20) TT_Phi(23) Value 100]
#define     Ks_TrgMgrCmd_TrgMgr_RawAdc_Thresh              "TrgMgr_RawAdc_Thresh"
#define     Ki_TrgMgrCmd_TrgMgr_RawAdc_Thresh               3550



//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Filtered_Always     ]
//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Filtered_LiveX      ]
//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Constant_Always     ]
//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Prn_Always          ]
//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Prn_LiveX           ]
//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_SimuTurn_Always     ]
//[TrgMgr_Adf_OutputEt_Mux  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_SimuTurn_LiveX      ]
#define     Ks_TrgMgrCmd_TrgMgr_Adf_OutputEt_Mux           "TrgMgr_Adf_OutputEt_Mux"  
#define     Ki_TrgMgrCmd_TrgMgr_Adf_OutputEt_Mux            3600


//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Filtered_Always   ]
#define     Ks_TrgMgrKeyword_Mux_Filtered_Always           "Mux_Filtered_Always"
#define     Ki_TrgMgrKeyword_Mux_Filtered_Always            3610

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Filtered_LiveX    ]
#define     Ks_TrgMgrKeyword_Mux_Filtered_LiveX            "Mux_Filtered_LiveX"
#define     Ki_TrgMgrKeyword_Mux_Filtered_LiveX             3615

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Constant_Always   ]
#define     Ks_TrgMgrKeyword_Mux_Constant_Always           "Mux_Constant_Always"
#define     Ki_TrgMgrKeyword_Mux_Constant_Always            3620

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Prn_Always        ]
#define     Ks_TrgMgrKeyword_Mux_Prn_Always                "Mux_Prn_Always"
#define     Ki_TrgMgrKeyword_Mux_Prn_Always                 3630

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_Prn_LiveX         ]
#define     Ks_TrgMgrKeyword_Mux_Prn_LiveX                 "Mux_Prn_LiveX"
#define     Ki_TrgMgrKeyword_Mux_Prn_LiveX                  3635

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_SimuTurn_Always   ]
#define     Ks_TrgMgrKeyword_Mux_SimuTurn_Always           "Mux_SimuTurn_Always"
#define     Ki_TrgMgrKeyword_Mux_SimuTurn_Always            3640

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_SimuTurn_LiveX    ]
#define     Ks_TrgMgrKeyword_Mux_SimuTurn_LiveX            "Mux_SimuTurn_LiveX"
#define     Ki_TrgMgrKeyword_Mux_SimuTurn_LiveX             3645



//[TrgMgr_Adf_OutputEt_Mem  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureMonitor   ]
//[TrgMgr_Adf_OutputEt_Mem  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureAtThresh  ]
//[TrgMgr_Adf_OutputEt_Mem  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureImmediate ]
//[TrgMgr_Adf_OutputEt_Mem  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_PlaySimuTurn     ]
#define     Ks_TrgMgrCmd_TrgMgr_Adf_OutputEt_Mem           "TrgMgr_Adf_OutputEt_Mem"  
#define     Ki_TrgMgrCmd_TrgMgr_Adf_OutputEt_Mem            3650

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureMonitor   ]
#define     Ks_TrgMgrKeyword_Mem_CaptureMonitor            "Mem_CaptureMonitor"
#define     Ki_TrgMgrKeyword_Mem_CaptureMonitor             3660

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureAtThresh  ]
#define     Ks_TrgMgrKeyword_Mem_CaptureAtThresh           "Mem_CaptureAtThresh"
#define     Ki_TrgMgrKeyword_Mem_CaptureAtThresh            3670

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureImmediate ]
#define     Ks_TrgMgrKeyword_Mem_CaptureImmediate          "Mem_CaptureImmediate"
#define     Ki_TrgMgrKeyword_Mem_CaptureImmediate           3680

//[TrgMgr_Adf_OutputEt  EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_PlaySimuTurn     ]
#define     Ks_TrgMgrKeyword_Mem_PlaySimuTurn              "Mem_PlaySimuTurn"
#define     Ki_TrgMgrKeyword_Mem_PlaySimuTurn               3690




//[TrgMgr_Adf_RawAdc_Mux    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_BlsAligned          ]
//[TrgMgr_Adf_RawAdc_Mux    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_SimuTurn            ]
#define     Ks_TrgMgrCmd_TrgMgr_Adf_RawAdc_Mux             "TrgMgr_Adf_RawAdc_Mux"
#define     Ki_TrgMgrCmd_TrgMgr_Adf_RawAdc_Mux              3700


//[TrgMgr_Adf_RawAdc    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_BlsAligned          ]
#define     Ks_TrgMgrKeyword_Mux_BlsAligned                "Mux_BlsAligned"
#define     Ki_TrgMgrKeyword_Mux_BlsAligned                 3710

//[TrgMgr_Adf_RawAdc    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mux_SimuTurn            ]
#define     Ks_TrgMgrKeyword_Mux_SimuTurn                  "Mux_SimuTurn"
#define     Ki_TrgMgrKeyword_Mux_SimuTurn                   3720
// already defined above



//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureMonitor   ]
//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureAtThresh  ]
//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureImmediate ]
//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_PlaySimuTurn     ]
#define     Ks_TrgMgrCmd_TrgMgr_Adf_RawAdc_Mem             "TrgMgr_Adf_RawAdc_Mem"
#define     Ki_TrgMgrCmd_TrgMgr_Adf_RawAdc_Mem              3800

//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureMonitor   ]
// already defined above

//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureAtThresh  ]
// already defined above

//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_CaptureImmediate ]
// already defined above

//[TrgMgr_Adf_RawAdc_Mem    EM_Tower  TT_Eta(-2) TT_Phi(5)  Mem_PlaySimuTurn     ]
// already defined above

