/*-------------------------------------------------------------------------------*/
  /*
    MonitPoolHelper.h
    11-Oct-2005
  */
/*-------------------------------------------------------------------------------*/

// Monitoring Data Record definition
#define NT_MSVCPP // direct L1CalTcc_MonitData.hpp in the definition of 64 bit variables
#include "trigmon/L1CalTcc_MonitData.hpp"


ESuccess GetMonitHeader           ( L1CalTcc_Block_Header*      _pxHeader_Full,
                                    EYesNo                      _eynTriggered,
                                    EYesNo                      _eynFillBlankData ) ;

ESuccess GetMonitInfoTickTurn     ( L1CalTcc_BeamX_Number*      _pxBeamX_Number,
                                    EYesNo                      _eynFillBlankData ) ;

ESuccess GetMonitInfoAdfEt        ( L1CalTcc_Block_Adf_OutputEt*    _pxTtOutputEt,
                                    EYesNo                          _eynFillBlankData ) ;

ESuccess GetMonitInfoTabGabStatus ( L1CalTcc_Block_TabGab_Status*   _pxTabGabStatus,
                                    EYesNo                          _eynFillBlankData ) ;


ESuccess RestartAdfAddrGen        ( ) ;

void     IncrementErrorScaler     ( unsigned short              _uwStatus,
                                    unsigned short*             _auwErrCnt,
                                    unsigned short              _uwTotScaler   = 16,
                                    unsigned short              _uwNegBitMask  = 0x0000 ) ;
