/*-------------------------------------------------------------------------------*/
  /*
    T962_Wire.h
    Class CT962_Wire
  */
/*-------------------------------------------------------------------------------*/

//#include "L1Cal_IIb_TCC/T962.h"
#include "L1Cal_IIb_TCC/AdfCardBase.h"

// cosmetic name to use with f_okReadBlock
#define     kIncrementAddressByOneForEachRead 1


class CT962_Wire
{

/////////////////////////////
// Constructor/Destructor
public:

    public:

         CT962_Wire              ( unsigned long    _ulWireNum,
                                   unsigned char    _ubCrateNum,
                                   unsigned char    _ubCardSlot,
                                   unsigned char    _ubChipAddress,
                                   unsigned short   _uwRegAddress,
                                   unsigned long    _ulRegCount,
                                   CAdfCardBase*    _pMotherAdf );


        ~CT962_Wire();

/////////////////////////////
// Attributes
public:

    unsigned long   m_ulWireNum ;

    CAdfRegBase*    m_oMonitRegBase ;

    unsigned long   m_ulChipAddress ;

    unsigned long   m_ulRegCount ;

    TuwRegWord*     m_paReadBuffer ;

	unsigned long   m_ulBufferAlignOff ;

    CAdfCardBase*   m_pMotherAdf ;

/////////////////////////////
// Operations

public:

//    ESuccess Initialize       ( ) ;

} ;


