/*-------------------------------------------------------------------------------*/
  /*
    UtilsBits.h
    18-May-98
  */
/*-------------------------------------------------------------------------------*/
#ifndef __UtilsBits__
#define __UtilsBits__
/*-------------------------------------------------------------------------------*/

#include "L1Cal_IIb_TCC/DataManip.h"

unsigned    long    fulRotrToLsb  ( unsigned    long    _ulBitMask ) ;
unsigned    short   fuwRotrToLsb  ( unsigned    short   _uwBitMask ) ;

unsigned    long    fulNumBitSet  ( unsigned    long    _ulBitMask ) ;

unsigned    long    fulTruncToLong( uint64              _uqBitMask ) ;
unsigned    short   fuwTruncToWord( unsigned    long    _ulBitMask ) ;
unsigned    char    fubTruncToByte( unsigned    long    _ulBitMask ) ;

unsigned    short   fuwTruncTo9bit( unsigned    long    _ulBitMask ) ; // same as fuwTruncToWord, but strip off upper 16-9=7 bits

unsigned    short   fuwRotrToAlign( unsigned    long    _ulCandidate,
                                    unsigned    long    _ulTarget ) ;

unsigned    short   fuwRotr       ( unsigned    long    _ulValue, 
                                    unsigned    short   _uwShiftCount ) ;
unsigned    short   fuwRotl       ( unsigned    short   _uwValue, 
                                    unsigned    short   _uwShiftCount ) ;

unsigned    short   fuwLowestBitOnly  ( unsigned    short    _uwBitMask ) ;

unsigned    short   fuwSetBits    ( unsigned    short   _uwValue, 
                                    unsigned    short   _uwMask ) ;
unsigned    short   fuwClearBits  ( unsigned    short   _uwValue, 
                                    unsigned    short   _uwMask ) ;
unsigned    short   fuwFlipBits   ( unsigned    short   _uwValue, 
                                    unsigned    short   _uwMask ) ;

void                fvSetBit      ( uint64*             _puqValue, 
                                    unsigned    long    _ulBitNum ) ;
void                fvClearBit    ( uint64*             _puqValue, 
                                    unsigned    long    _ulBitNum ) ;
void                fvFlipBit     ( uint64*             _puqValue, 
                                    unsigned    long    _ulBitNum ) ;

void                fvSetBit      ( unsigned    long*   _pulValue, 
                                    unsigned    long    _ulBitNum ) ;
void                fvClearBit    ( unsigned    long*   _pulValue, 
                                    unsigned    long    _ulBitNum ) ;
void                fvFlipBit     ( unsigned    long*   _pulValue, 
                                    unsigned    long    _ulBitNum ) ;

/*-------------------------------------------------------------------------------*/
#endif //__UtilsBits__

