/*-------------------------------------------------------------------------------*/
  /*
    UtilsFiles.h
       File Utilities
    11-May-98
  */
/*-------------------------------------------------------------------------------*/

#define KsDefaultInitialBrowseDir          "\\L1Cal_IIb_TCC"
#define ksEnvChar                           "%"

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
ESuccess    FileBrowse ( CString*   _posFileName, 
                         CString    _osFileType = "*",
                         CString    _osDefaultDir = "" ) ;

/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
ESuccess    FileEdit   ( CString    _osFileName,
                         CString    _osDirectory = "%DOC%" ) ;


/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
ESuccess    LocateFile        ( const char* const  _psFileSearch,
                                char*              _psFileFound ) ;


/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
ESuccess    SubstituteEnvVar  ( const char* const  _psPathRaw,
                                char*              _psPathSubstituted ) ;


/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
ESuccess    ExtractVersion    ( const char* const  _sFileName,	
                                unsigned char*     _pubVersionMajor,
                                unsigned char*     _pubVersionMinor ) ;


/*-------------------------------------------------------------------------------*/
/*-------------------------------------------------------------------------------*/
void     AddFileVersion ( CString*      _posFileName ) ;


