//////////////////////////////////////////////////////////////////////////////
// File: L1CalTcc_MonitData_BasicTypes.hpp
// Created: 11-Oct-2005 Philippe Laurens 
//////////////////////////////////////////////////////////////////////////////

#ifndef __L1CalTcc_MonitData_BasicTypes__
#define __L1CalTcc_MonitData_BasicTypes__

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

// Variable Size Definitions
/////////////////////////////

    /// 8 bit integer variable
    typedef     char                    int8;
    
    /// 16 bit integer variable
    typedef     short                   int16;
    
    /// 32 bit integer variable
#if defined NT_MSVCPP
    typedef     long                    int32;
#else
    typedef     int                     int32;
#endif
    
    /// 64 bit integer variable
#ifdef Linux
    typedef     long long int           int64;

#elif defined NT_MSVCPP

    typedef     __int64                 int64;

#else
    typedef     long                    int64;
#endif

    /// unsigned 8 bit integer variable
    typedef     unsigned char           uint8;
    
    /// unsigned 16 bit integer variable
    typedef     unsigned short          uint16;
    
    /// unsigned 32 bit integer variable
#if defined NT_MSVCPP
    typedef     unsigned long           uint32;
#else
    typedef     unsigned int            uint32;
#endif

    /// unsigned 64 bit integer variable
#ifdef Linux
    typedef     unsigned long long int  uint64;

#elif defined NT_MSVCPP
    typedef     unsigned __int64        uint64;

#else
    typedef     unsigned long           uint64;
#endif

//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#endif // __L1CalTcc_MonitData_BasicTypes__

