/*-------------------------------------------------------------------------------*/
  /*
    tcc_to_tabgab_config.h

    Configure the stratix-chip firmware in a TAB or GAB.
    
  */

#ifndef __tcc_to_tabgab_config__
#define __tcc_to_tabgab_config__
/*-------------------------------------------------------------------------------*/

#include "tabgab/tcc_to_tabgab.h"

/* -------------------------------*/
/* TAB/GAB firmware configuration */ 
/* -------------------------------*/

    EStatus Tab_or_Gab_Configure  ( unsigned long    Module );
/*
    Return value:
        cf. EStatus definition

    Parameters:
        Module
            Module ID of TAB or GAB
            unsigned integer
            allowed value = 0:8
 */

#endif // __tcc_to_tabgab_config__
